Name:           massif-visualizer
Summary:        Visualizer for Massif heap memory profiler data files
Version:        0.4.0
Release:        6%{?dist}
Group:          Development/Debuggers
License:        GPLv2+
Url:            https://projects.kde.org/massif-visualizer
Source0:        http://download.kde.org/stable/%{name}/%{version}/src/%{name}-%{version}.tar.xz
Patch0:         0001-kdchart-fix-ARM-build.patch

BuildRequires:  kdelibs4-devel
BuildRequires:  gettext
BuildRequires:  desktop-file-utils
BuildRequires:  kgraphviewer-devel
%{?kde_runtime_requires}


%description
Massif Visualizer is a tool that visualizes massif data.

You run your application in Valgrind with "--tool=massif" and then open the
generated "massif.out.<pid>" in the visualizer. Gzip or Bzip2 compressed massif
files can also be opened transparently.


%prep
%setup -q
%patch0 -p1


%build
%cmake .
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}
desktop-file-validate %{buildroot}%{_datadir}/applications/kde4/*.desktop
%find_lang %{name} --with-kde


%post
/bin/touch --no-create %{_datadir}/mime/packages &>/dev/null || :
/usr/bin/update-desktop-database &> /dev/null || :


%postun
/usr/bin/update-mime-database %{_datadir}/mime &> /dev/null || :
/usr/bin/update-desktop-database &> /dev/null || :


%posttrans
/usr/bin/update-mime-database %{?fedora:-n} %{_datadir}/mime &> /dev/null || :


%files -f %{name}.lang
%{_kde4_bindir}/massif-visualizer
%{_kde4_datadir}/applications/kde4/massif-visualizer.desktop
%{_kde4_configdir}.kcfg/massif-visualizer-settings.kcfg
%{_kde4_appsdir}/massif-visualizer
%{_datadir}/mime
%license COPYING
%doc AUTHORS


%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.4.0-5
- Rebuilt for GCC 5 C++11 ABI change

* Tue Feb 10 2015 Lubomir Rintel <lkundrak@v3.sk> - 0.4.0-4
- BR kgraphviewer
- Fix ARM build

* Tue Feb 10 2015 Lubomir Rintel <lkundrak@v3.sk> - 0.4.0-3
- Update desktop database (Zbigniew Jędrzejewski-Szmek, rh #1190055)
- Fix license tag (Zbigniew Jędrzejewski-Szmek, rh #1190055)

* Fri Feb 06 2015 Lubomir Rintel <lkundrak@v3.sk> - 0.4.0-2
- Streamline BRs
- Fix %%license tag

* Thu Feb 05 2015 Lubomir Rintel <lkundrak@v3.sk> - 0.4.0-1
- Initial packaging
